function psi = partA_2d_fft_sys(psi,t);
% computes exp(h*A)u, where A is the Laplacian on (-L_x,L_x)x(-L_y,L_y)
% with periodic bopsindary conditions
global lambda_fft
l = length(psi);
psi_s = real2spectral_2d_fft_sys(psi);
for i = 1:l
    psi{i} = spectral2real_2d_fft(exp(t*lambda_fft{i}).*psi_s{i});
end
